cURL
curl --request PATCH \ --url https://api.hyperleapai.com/conversations/{conversationId}/chat \ --header 'Content-Type: application/json' \ --header 'x-hl-api-key: <api-key>' \ --data ' { "message": "<string>" } '
{ "id": "<string>", "object": "<string>", "usage": { "prompt_tokens": 123, "completion_tokens": 123, "total_tokens": 123 }, "created": 123, "choices": [ { "finish_reason": "<string>", "index": 123, "message": { "role": "<string>", "content": "<string>", "toolCallId": "<string>", "name": "<string>" }, "moderation_results": { "categoryResults": [ { "category": "<string>", "filtered": true, "severity": "<string>" } ] } } ], "messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "httpRequestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "citations": [ { "link": "<string>", "index": "<string>", "documentId": "<string>", "fileId": "<string>", "sourceContentType": "<string>", "sourceName": "<string>", "sourceUrl": "<string>", "partitions": [ { "text": "<string>", "relevance": 123, "partitionNumber": 123, "sectionNumber": 123, "lastUpdate": "2023-11-07T05:31:56Z", "tags": {} } ] } ], "prompt_moderations": { "categoryResults": [ { "category": "<string>", "filtered": true, "severity": "<string>" } ] } }
Send a (user) message to a conversation, and get a response.
Documentation IndexFetch the complete documentation index at: https://docs.hyperleap.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.hyperleap.ai/llms.txt
Use this file to discover all available pages before exploring further.
1
OK
Show child attributes